package io.github.bymartrixx.vtd.mixin;

import io.github.bymartrixx.vtd.gui.VTDScreen;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

import java.io.File;
import net.minecraft.class_124;
import net.minecraft.class_2561;
import net.minecraft.class_2588;
import net.minecraft.class_4185;
import net.minecraft.class_437;
import net.minecraft.class_5375;

@Mixin(class_5375.class)
public class PackScreenMixin extends class_437 {
    private static final class_2561 VTD_RESOURCE_PACK_SUBTITLE = new class_2588("vtd.resourcePack.subtitle").method_27692(class_124.field_1080);
    @Shadow
    @Final
    private File file;

    protected PackScreenMixin(class_2561 title) {
        super(title);
    }

    @Inject(at = @At(value = "HEAD"), method = "init")
    private void addVTDButton(CallbackInfo info) {
        // Checks if it is the resource pack screen and not the data pack screen
        if (this.file == this.field_22787.method_1479()) {
            this.method_25411(new class_4185(this.field_22789 / 2 - 75, this.field_22790 - 24, 150, 20, new class_2588("vtd.resourcePack.button"), button -> {
                this.field_22787.method_1507(new VTDScreen(this, VTD_RESOURCE_PACK_SUBTITLE));
            }));
        }
    }
}
